\renewcommand{\FIGREP}{src/intro/figures}

\section{Introduction to the course}
\label{sec:intro}

\begin{frame}[t]
	\frametitle{Introduction to the course}
	\framesubtitle{General information}
	\begin{itemize}
		\item Purpose of the course:
		      you work with a program that you need to
		      compile and you want to demystify this process
		\item Prerequisites
		      \begin{itemize}
			      \item Familiar with the Linux environment and some knowledge of our
			            cluster environment
			      \item Basic programming knowledge of whatever compiled language (C,
			            C++, Fortran, etc.)
		      \end{itemize}
		\item We try to be more interactive as possible (lecture and illustrative
		      examples)
		\item Ask questions!
	\end{itemize}
	\addimage[width=4.5cm]{\FIGREP/xkcd_compiling}{5.75cm}{0.6cm}
\end{frame}

\begin{frame}[fragile]
	\frametitle{Introduction to the course}
	\framesubtitle{Course material \& programming environment}

	\begin{itemize}
		\item The slides can be found \\
		      \url{https://scitas-doc.epfl.ch/courses/training-courses/\#compiling-codes-and-using-mpi-on-central-hpc-facilities}
		\item All the course code snippets are available here\\
		      \url{https://go.epfl.ch/Compiling-code-and-using-MPI}
		\item The exercises can be found here\\
		      \url{https://go.epfl.ch/Compiling-code-and-using-MPI-Exercises}
		\item For your convenience you can copy the slides and exercises directly from\\
		      \begin{bashcode}
						$> cp -r /work/scitas-share/compiling-code-and-using-mpi-exercises .
		      \end{bashcode}
		\item Prepare your environment
		      \begin{bashcode}
			      $> module purge
			      $> module load gcc
		      \end{bashcode}
	\end{itemize}
\end{frame}

\begin{frame}
	\frametitle{Introduction to the course}
	\framesubtitle{This is a theory slide}
\end{frame}

\begin{frame}[exercise]
	\frametitle{Introduction to the course}
	\framesubtitle{This is an exercise slide}
\end{frame}

\begin{frame}
	\frametitle{Let's talk about you}
	\framesubtitle{}

	\begin{itemize}
		\item Who uses C?
		      \pause
		\item Who uses C++?
		      \pause
		\item Who uses Fortran?
		      \pause
		\item Who uses another language ?
	\end{itemize}
\end{frame}

%%% Local Variables:
%%% mode: latex
%%% TeX-master: "../../SCM_slides"
%%% End:
